petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatElementalHermitianGenDefEig

Compute the set of eigenvalues of the Hermitian-definite matrix pencil determined by the subset structure

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatElementalHermitianGenDefEig(El::Pencil type,El::UpperOrLower uplo,Mat A,Mat B,Mat *evals,Mat *evec,El::SortType sort,El::HermitianEigSubset<PetscElemScalar> subset,const El::HermitianEigCtrl<PetscElemScalar> ctrl)

Logically Collective on Mat

References: Elemental Users' Guide

Level:beginner
Location:src/mat/impls/elemental/matelem.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages